Test Data Manager

Expand all | Collapse all

AdoptOpenJDK

Jump to Best Answer
  • 1.  AdoptOpenJDK

    Posted 05-25-2020 01:50 PM
    Is it possible to replace JRE with AdoptOpenJDK for TDM?

    Oracle is no longer offering free security updates for Oracle Java for commercial use


    ------------------------------
    Test Data Management Architect
    Canada Life
    Toronto, ON
    ------------------------------


  • 2.  RE: AdoptOpenJDK

    Posted 05-25-2020 02:04 PM
    Hi,

         TDM has shipped with Open JDK for the last few versions, which version of TDM are you using?

    ------------------------------
    Regards

    Keith Puzey
    Client Services Consultant | Enterprise Software Division
    Broadcom
    ------------------------------



  • 3.  RE: AdoptOpenJDK

    Posted 05-25-2020 02:15 PM
    Hi Keith,

    Thanks for the quick response, this is good to know!
    Is this true for all TDM components (i.e. GTSubset, FDM) or just the portal?

    I'm on the latest version - 4.9, so this should work.

    I'll try uninstall JRE and see what happens.

    Cheers,
    Navin

    ------------------------------
    Test Data Management Architect
    Canada Life
    Toronto, ON
    ------------------------------



  • 4.  RE: AdoptOpenJDK

    Posted 05-25-2020 04:00 PM
    @Keith Puzey I just uninstalled Java and the Portal and Datamaker work, however FDM and GTSubset do not.
    GTSubset requires JRE 1.6 and FDM required JRE 1.8.

    Is there a plan to migrate FDM and GTSubset to Open JDK?

    ------------------------------
    Test Data Management Architect
    Canada Life
    Toronto, ON
    ------------------------------



  • 5.  RE: AdoptOpenJDK
    Best Answer

    Posted 05-25-2020 04:13 PM
    Hi,

         Datamaker and portal use their  own version of jre.    FDM and subset use the installed version of Java so If you install open jdk 8 this should fix the FDM ' subset issue.

    ------------------------------
    Regards

    Keith Puzey
    Client Services Consultant | Enterprise Software Division
    Broadcom
    ------------------------------



  • 6.  RE: AdoptOpenJDK

    Posted 05-25-2020 04:23 PM
    Thanks!

    Forcing the install for JRE (from "Skip" to "Install") from the GTServer setup installs OpenJDK instead of JRE.
    I never forced the install on prior upgrades.

    Everything seems to be working now on OpenJDK instead of JRE.

    ------------------------------
    Test Data Management Architect
    Canada Life
    Toronto, ON
    ------------------------------



  • 7.  RE: AdoptOpenJDK

    Posted 05-25-2020 04:22 PM
    Navin, all component of TDM (4.9) are shipped with OpenJDK.  When you say that GTSubset and FDM dont work....what problems are you seeing?